"""fix UserFeed.priority varchar(10)→20

Revision ID: 8c468ef8b9fa
Revises: a1b2c3d4e5f6
Create Date: 2026-07-08 21:17:47.533808
"""
from typing import Sequence, Union
from alembic import op
import sqlalchemy as sa


revision: str = '8c468ef8b9fa'
down_revision: Union[str, None] = 'a1b2c3d4e5f6'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.alter_column('user_feed', 'priority', type_=sa.String(20), existing_type=sa.String(10))


def downgrade() -> None:
    op.alter_column('user_feed', 'priority', type_=sa.String(10), existing_type=sa.String(20))
